## python-neutronclient 2.3.4

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
cliff>=1.4.3
httplib2>=0.7.5
iso8601>=0.1.4
simplejson>=2.0.9
six>=1.4.1
Babel>=1.3

## python-neutronclient 2.3.0

=== debian/changelog ===
python-neutronclient (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2013 11:20:06 +0800

python-neutronclient (2.2.4-2) unstable; urgency=low

  * Added missing python-pbr build-depends.
  * Cleans python_neutronclient.egg-info (package can build twice).
  * Fixed debian/copyright (added missing holders).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2013 17:46:57 +0800

python-neutronclient (2.2.4-1) unstable; urgency=low

  * Initial release.
  * Note that this is a rename of Quantum into Neutron because of a trademark
    problem.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 20:21:03 +0800

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Loic Dachary (OuoU) <loic@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21)
Build-Depends-Indep: cliff-tablib,
                     pep8,
                     python-babel,
                     python-cliff (>= 1.3.3),
                     python-fixtures (>= 0.3.14),
                     python-httplib2,
                     python-iso8601,
                     python-mox,
                     python-nose,
                     python-prettytable,
                     python-pyparsing (>= 1.5.7+dfsg1-1~),
                     python-simplejson,
                     python-six,
                     python-subunit,
                     python-testtools (>= 0.9.32),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.3
Homepage: http://launchpad.net/python-neutronclient
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-neutronclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-neutronclient.git

Package: python-neutronclient
Architecture: all
Replaces: python-quantumclient, quantum-client
Provides: python-quantumclient
Breaks: python-quantumclient
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-argparse,
         python-cliff (>= 1.3.3),
         python-httplib2,
         python-iso8601,
         python-pbr (>= 0.5.21),
         python-prettytable,
         python-pyparsing (>= 1.5.7+dfsg1-1~),
         python-simplejson,
         python-six,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: client API library for Neutron
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client agent.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_build:
	echo $(VERSION) >neutronclient/versioninfo
	dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	#rm neutronclient/tests/unit/test_cli20_network.py
	#nosetests
	python setup.py testr
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf neutronclient/versioninfo python_neutronclient.egg-info

## python-neutronclient 2.3.4

=== debian/changelog ===
python-neutronclient (1:2.3.4-0ubuntu1) trusty; urgency=medium

  * New upstream point release:
    - [02baef4] Fix get_auth_info() for pre-authenticated clients
      (LP: #1280941). 

 -- James Page <james.page@ubuntu.com>  Thu, 13 Mar 2014 11:02:06 +0000

python-neutronclient (1:2.3.3-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 11:34:34 -0500

python-neutronclient (1:2.3.1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Nov 2013 14:00:50 -0500

python-neutronclient (1:2.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Add python-six as a build dependency.
  * debian/control: Add python-babel as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 16:33:40 -0400

python-neutronclient (1:2.2.4-0ubuntu2) saucy; urgency=low

  * d/tests: Update tests for quantum->neutron rename. 

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jul 2013 17:45:25 +0100

python-neutronclient (1:2.2.4-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * Renamed to python-neutronclient.
    + Updated debian/control to rename python-quantumclient to 
      python-neutronclient.
    + Updated debian/copyright.
    + debian/control: Add Breaks/Replaces python-quantumclient and
      transitional package.
  * debian/rules, debian/control: Run testsuite with testrepository.
  * debian/control: Add python-pbr and python-d2to1.
  * debian/docs: Renamed README to README.rst.
  * debian/copyright: Cleaned up, fix lintian warnings.
  * debian/control: Dropped quantum-client.

  [ Adam Gandelman ]
  * debian/control: Bump python-cliff min. requirement to 1.3.2 as per
    tools/pip-requires.
  * debian/control: Set version minimum 1.5.6 on python-pyparsing depends.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

  [ James Page ]
  * New upstream release.
  * d/control: Update VCS fields for new branch locations.
  * d/install: Enable bash completion for neutron command.
  * d/rules: Execute tests in parallel.
  * d/control: Drop BD on pep8, no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jul 2013 17:20:32 +0100

python-quantumclient (1:2.2.0-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/control: Set version minimum for python-cliff (>= 1.3.1). 

  [ James Page ]
  * New upstream point release to support OpenStack Grizzly. 

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2013 09:15:00 +0000

python-quantumclient (1:2.1.2-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/control: Drop 'Provides: ${python:Provides}'.

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-testtools and python-fixtures as build
    deps.
  * debian/patches/override_cliff_version.patch: Dropped, no longer needed.
  * debian/control: Add python-iso8601 build-depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 Mar 2013 11:14:49 -0600

python-quantumclient (1:2.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: Add python-pyparsing.
  * debain/patches/override_cliff_version.patch:  Remove version constraint
    on cliff >= 1.2.1 (Ubuntu 12.10 is shipping 1.1.2).

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.
  * Add cliff-tablib build-dependency to fix test suite failure.

  [ Chuck Short ]
  * New upstream release
  * debian/watch: Add pypi sources as well

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Sep 2012 18:59:16 -0500

python-quantumclient (1:2.0-0ubuntu2) quantal; urgency=low

  * debian/control: Set Provides: ${python:Provides}. (LP: #1042468)
  * debian/control: Update maintainer, add missing Depends.

 -- Adam Gandelman <adamg@canonical.com>  Mon, 27 Aug 2012 15:53:54 -0700

python-quantumclient (1:2.0-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * debian/control: Update build dependencies.
  * debian/rules: Enable testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:45:43 -0500

python-quantumclient (1:0.1.0.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch: Updateed

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 12:50:42 -0400

python-quantumclient (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 11:12:30 -0400

python-quantumclient (2012.1~rc2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Apr 2012 20:47:00 -0400

python-quantumclient (2012.1~rc1-0ubuntu2) precise; urgency=low

  * debian/patches/fix-namespace.patch: Fix namespace conflict.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Mar 2012 11:15:53 -0400

python-quantumclient (2012.1~rc1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Dropped quantum-common stuff since it conflicts with quantum
    proper.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Mar 2012 13:39:58 -0400

python-quantumclient (2012.1~rc1~20120315.22-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/watch: Fix typos

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 12:00:02 -0700

python-quantumclient (2012.1~e3~20120125.r8-0ubuntu2) precise; urgency=low

  * Fix lintian errors.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2012 10:48:03 -0500

python-quantumclient (2012.1~e3~20120125.r8-0ubuntu1) precise; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2012 10:20:24 -0500

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@buntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-babel,
 python-cliff (>= 1.3.2),
 python-d2to1,
 python-fixtures,
 python-httplib2,
 python-mox,
 python-nose,
 python-pbr,
 python-prettytable,
 python-pyparsing (>= 1.5.6),
 python-simplejson,
 python-six,
 python-testtools,
 testrepository,
 cliff-tablib,
 python-iso8601
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/python-quantumclient
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-neutronclient/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-neutronclient/icehouse
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Breaks: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
Replaces: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
Depends: python-cliff (>= 1.3.2),
 python-httplib2,
 python-prettytable,
 python-pyparsing (>= 1.5.6),
 python-simplejson,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: client - Neutron is a virtual network service for Openstack
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the neutron client.

Package: python-quantumclient
Depends: python-neutronclient, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_test:
	testr init && testr run --parallel

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-neutronclient/+download https://launchpad.net/python-neutronclient/.*/.*/.*/python-neutronclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-neutronclient/ python-neutronclient-(\d.*).tar.gz
http://pypi.python.org/packages/source/p/python-neutronclient/python-neutronclient-(\d.*).tar.gz

## python-neutronclient 2.3.6

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
cliff>=1.6.0
iso8601>=0.1.9
netaddr>=0.7.6
requests>=1.1
python-keystoneclient>=0.9.0
simplejson>=2.0.9
six>=1.7.0
Babel>=1.3

=== debian/changelog ===
python-neutronclient (2.3.6-2) unstable; urgency=medium

  * Increased version of (build-)depends for cliff and six.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 15:19:10 +0800

python-neutronclient (2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * New (build-)depends for this release (python-mox3, python-oslotest)

 -- Mehdi Abaakouk <sileht@sileht.net>  Fri, 22 Aug 2014 15:43:56 +0200

python-neutronclient (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 18:52:08 +0800

python-neutronclient (2.3.4-2) unstable; urgency=low

  * This version of neutronclient needs python-httplib2 >= 0.7.5. Fixed the
    (build-)depends accordingly. Also fixed more (build-)depends versions.
    (Closes: #744129)
  * Runs testr/subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Apr 2014 13:24:11 +0800

python-neutronclient (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed fixed-get_auth_info-for-pre-authenticated-clients.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Mar 2014 15:57:07 +0800

python-neutronclient (2.3.3-3) unstable; urgency=medium

  * Added fixed-get_auth_info-for-pre-authenticated-clients.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Feb 2014 22:37:12 +0800

python-neutronclient (2.3.3-2) unstable; urgency=medium

  * Removes the man page thing which doesn't build in Wheezy.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2014 09:34:45 +0000

python-neutronclient (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Added --slowest --testr-args='--subunit  ' when calling testr.
  * Standard-Version: is now 3.9.5.
  * Adds the generation of the python-neutronclient man page.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2014 17:04:05 +0800

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
              python-sphinx,
Build-Depends-Indep: cliff-tablib,
                     python-babel (>= 1.3),
                     python-cliff (>= 1.6),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.9.0),
                     python-mox,
                     python-mox3,
                     python-netaddr,
                     python-oslotest,
                     python-prettytable,
                     python-pyparsing (>= 1.5.7+dfsg1-1~),
                     python-requests (>=1.1),
                     python-simplejson (>= 2.0.9),
                     python-six (>= 1.7.0),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Homepage: http://launchpad.net/python-neutronclient
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-neutronclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-neutronclient.git

Package: python-neutronclient
Architecture: all
Replaces: python-quantumclient, quantum-client
Provides: python-quantumclient
Breaks: python-quantumclient
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-cliff (>= 1.6),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.9.0),
         python-pbr (>= 0.5.21),
         python-prettytable,
         python-pyparsing (>= 1.5.7+dfsg1-1~),
         python-requests (>=1.1),
         python-simplejson (>= 2.0.9),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: client API library for Neutron
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client agent.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf python_neutronclient.egg-info doc/man .testrepository

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	dh_installman -O--buildsystem=python_distutils
#endif

## python-neutronclient 2.3.8

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
argparse
cliff>=1.6.0
iso8601>=0.1.9
netaddr>=0.7.12
requests>=1.2.1,!=2.4.0
python-keystoneclient>=0.10.0
simplejson>=2.2.0
six>=1.7.0
Babel>=1.3

=== debian/changelog ===
python-neutronclient (1:2.3.8-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:10:30 -0400

python-neutronclient (1:2.3.8-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 09:52:19 -0400

python-neutronclient (1:2.3.7-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-httpretty and python-oslosphinx.
  * debian/control: Add python-requests-mock, python-testscenarios,
    python-prettytable, python-oslotest

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Sep 2014 08:51:07 -0400

python-neutronclient (1:2.3.5-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * debian/control: Set minimum version for python-prettytable dependency
    (LP: #1292661).

  [ Chuck Short ]
  * debian/control: Open up juno release
  * debian/control:
    - Dropped python-d2to1, python-httplib2, python-prettytable,
      python-nose, and python-pyparsing dependencies.
    - Added python-requests, python-netaddr dependencies
    - Added python-keystoneclient.
    - Add python-mox3.
    - Add python-hacking

  [ Liam Young ]
  * debian/control:
    - Merged in deps from requirements.txt
    - Added httplib2 & python-mox back as src dep as 2.3.5 unit tests depend  on it
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 13:07:16 -0400

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@buntu.com>
Build-Depends:
 cliff-tablib,
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-babel (>= 1.3),
 python-cliff (>= 1.6.0),
 python-fixtures,
 python-hacking,
 python-httpretty,
 python-httplib2,
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 0.9.0),
 python-mox3,
 python-oslosphinx,
 python-oslotest,
 python-netaddr (>= 0.7.6),
 python-pbr (>= 0.6),
 python-prettytable,
 python-pyparsing (>= 1.5.6),
 python-requests (>= 1.1),
 python-simplejson (>= 2.0.9),
 python-six (>= 1.7.0),
 python-testtools,
 python-testscenarios,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/python-quantumclient
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-neutronclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-neutronclient/juno
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Breaks: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
Replaces: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
Depends:
 python-cliff (>= 1.3.2),
 python-httplib2,
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 0.9.0),
 python-netaddr (>= 0.7.6),
 python-prettytable (>= 0.6),
 python-pyparsing (>= 1.5.6),
 python-requests (>= 1.1),
 python-simplejson,
 python-six (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: client - Neutron is a virtual network service for Openstack
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the neutron client.

Package: python-quantumclient
Depends: python-neutronclient, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_test:
	testr init && testr run

## python-neutronclient 2.3.11

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # process, which may cause wedges in the gate later.
 pbr>=0.6,!=0.7,<1.0
 argparse
-cliff>=1.6.0
+cliff>=1.7.0  # Apache-2.0
 iso8601>=0.1.9
 netaddr>=0.7.12
-requests>=1.2.1,!=2.4.0
-python-keystoneclient>=0.10.0
+oslo.i18n>=1.3.0  # Apache-2.0
+oslo.serialization>=1.2.0               # Apache-2.0
+oslo.utils>=1.2.0                       # Apache-2.0
+requests>=2.2.0,!=2.4.0
+python-keystoneclient>=1.1.0
 simplejson>=2.2.0
 six>=1.7.0
 Babel>=1.3

=== debian/changelog ===
python-neutronclient (1:2.3.11-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 11:22:08 -0400

python-neutronclient (1:2.3.9-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Open up for vivid.
  * debian/control: 
    - Update bzr branches. 
    - Add python-requests-mock as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 10:00:53 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper (>= 8.0.0),
  python-all (>= 2.6.6-3~),
  python-babel (>= 1.3),
- python-cliff (>= 1.6.0),
+ python-cliff (>= 1.7.0),
  python-fixtures,
  python-hacking,
  python-httpretty,
@@ -16,6 +16,13 @@
  python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 0.9.0),
  python-mox3,
+ python-mock,
+ python-oslosphinx,
+ python-oslotest,
+ python-oslo.i18n (>= 1.3.0),
+ python-oslo.serialization (>= 1.2.0),
+ python-oslo.utils (>= 1.2.0),
+ python-keystoneclient (>= 1.1.0),
  python-oslosphinx,
  python-oslotest,
  python-netaddr (>= 0.7.6),
@@ -23,16 +30,19 @@
  python-prettytable,
  python-pyparsing (>= 1.5.6),
  python-requests (>= 1.1),
+ python-requests-mock,
+ python-sphinx,
+ python-tempest-lib,
  python-simplejson (>= 2.0.9),
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-testtools,
  python-testscenarios,
  testrepository
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/python-quantumclient
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-neutronclient/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-neutronclient/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-neutronclient/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-neutronclient/kilo
 XS-Testsuite: autopkgtest
 
 Package: python-neutronclient
@@ -40,16 +50,18 @@
 Breaks: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
 Replaces: python-quantumclient ( << 1:2.2.4-0ubuntu1~ )
 Depends:
- python-cliff (>= 1.3.2),
- python-httplib2,
+ python-cliff (>= 1.7.0),
  python-iso8601 (>= 0.1.9),
- python-keystoneclient (>= 0.9.0),
- python-netaddr (>= 0.7.6),
- python-prettytable (>= 0.6),
- python-pyparsing (>= 1.5.6),
+ python-keystoneclient (>= 1.1.0),
+ python-netaddr (>= 0.7.12),
  python-requests (>= 1.1),
  python-simplejson,
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
+ python-babel,
+ python-oslo.i18n,
+ python-oslo.serialization,
+ python-oslo.utils,
+ python-babel,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}

## python-neutronclient 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
argparse
cliff>=1.14.0 # Apache-2.0
iso8601>=0.1.9
netaddr!=0.7.16,>=0.7.12
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
requests>=2.5.2
python-keystoneclient>=1.6.0
simplejson>=2.2.0
six>=1.9.0
Babel>=1.3

=== debian/changelog ===
python-neutronclient (1:3.1.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/control: Bump minimum version of python-pbr to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 11:54:09 -0400

python-neutronclient (1:2.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align dependencies and versions with upstream.
  * Bump epoch inline with Ubuntu to support resync.
  * Introduce DEP-8 tests from Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jun 2015 12:08:44 +0100

python-neutronclient (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Mar 2015 18:16:10 +0100

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: cliff-tablib (>= 1.0),
                     python-babel (>= 1.3),
                     python-cliff (>= 1.14.0),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-neutronclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-neutronclient.git
Homepage: http://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Replaces: python-quantumclient, quantum-client
Provides: python-quantumclient
Breaks: python-quantumclient
Depends: python-babel (>= 1.3),
         python-cliff (>= 1.14.0),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:1.6.0),
         python-netaddr (>= 0.7.12),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-requests (>= 2.5.2),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client API library for Neutron
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client agent.

## python-neutronclient 4.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,>=1.15.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.9 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
os-client-config>=1.13.1 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel>=1.3 # BSD

=== debian/changelog ===
python-neutronclient (1:4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:41:04 +0000

python-neutronclient (1:4.1.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:41:04 +0100

python-neutronclient (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 06:03:08 +0000

python-neutronclient (1:3.1.0-3) experimental; urgency=medium

  * Added Python 3 support.
  * Black list 2 unit tests failing in Python 3:
    - test_cli20_port.CLITestV20PortJSON.test_list_ports_with_fixed_ips_in_csv
    - test_cli20_port.CLITestV20PortXML.test_list_ports_with_fixed_ips_in_csv

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 06:15:45 +0000

python-neutronclient (1:3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:11:42 +0000

python-neutronclient (1:3.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/control: Bump minimum version of python-pbr to 1.8.

  [ Thomas Goirand ]
  * Removed version of (build-)depends when already satisfied in Trusty.
  * Dropped Replaces+Breaks+Provides for quantumclient.
  * Fixed the install path of the bash-completion script.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 17:21:13 +0000

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneauth1 (>= 2.1.0),
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-netaddr (>= 0.7.12),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-client-config (>= 1.13.1),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-iso8601 (>= 0.1.9),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-netaddr (>= 0.7.12),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-neutronclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-neutronclient.git
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends: python-babel,
         python-cliff (>= 1.15.0),
         python-debtcollector (>= 1.2.0),
         python-keystoneauth1 (>= 2.1.0),
         python-iso8601,
         python-netaddr (>= 0.7.12),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-requests (>= 2.8.1),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends: python3-babel,
         python3-cliff (>= 1.15.0),
         python3-debtcollector (>= 1.2.0),
         python3-keystoneauth1 (>= 2.1.0),
         python3-iso8601,
         python3-netaddr (>= 0.7.12),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-requests (>= 2.8.1),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-neutronclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-neutronclient; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	install -D -m 0644 tools/neutron.bash_completion $(CURDIR)/debian/python-neutronclient-doc/usr/share/bash-completion/completions/neutron
	mv $(CURDIR)/debian/python-neutronclient/usr/bin/neutron $(CURDIR)/debian/python-neutronclient/usr/bin/python2-neutron
	mv $(CURDIR)/debian/python3-neutronclient/usr/bin/neutron $(CURDIR)/debian/python3-neutronclient/usr/bin/python3-neutron

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'neutronclient\.tests\.unit\.(?!(.*test_cli20_port\.CLITestV20PortJSON\.test_list_ports_with_fixed_ips_in_csv.*|.*test_cli20_port\.CLITestV20PortXML\.test_list_ports_with_fixed_ips_in_csv.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf python_neutronclient.egg-info doc/man .testrepository

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	dh_installman -O--buildsystem=python_distutils
#endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: client
Depends: python-neutronclient

=== debian/watch ===
version=3
# Since we use EPOC, and we want to move away 2012.x, we use
# uversionmangle...
opts="uversionmangle=s/^2012/0.0./" \
https://github.com/openstack/python-neutronclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-neutronclient 4.2.0

=== debian/changelog ===
python-neutronclient (1:4.2.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 10 Sep 2016 12:58:14 +0000

python-neutronclient (1:4.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 23:49:17 +0000
